Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class IdBloomFilterReplicationTest

    java.lang.Object
      rice.p2p.util.testing.IdBloomFilterReplicationTest

public class IdBloomFilterReplicationTest
extends java.lang.Object

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`static Id[]` | `EXTRA` DESCRIBE THE FIELD
`static IdFactory` | `factory` DESCRIBE THE FIELD
`static GCIdFactory` | `gFactory` DESCRIBE THE FIELD
`static int` | `NUM` DESCRIBE THE FIELD
`static int` | `NUM_RUNS` DESCRIBE THE FIELD
`static IdFactory` | `pFactory` DESCRIBE THE FIELD
`static RandomSource` | `random` DESCRIBE THE FIELD
`static IdSet` | `remote` DESCRIBE THE FIELD
`static Id[]` | `SHARED` DESCRIBE THE FIELD

Constructor Summary
`IdBloomFilterReplicationTest()`

Method Summary
`static void` | `buildShared()` DESCRIBE THE METHOD
`static void` | `doConfig()` DESCRIBE THE METHOD
`static double` | `doRun(int has, int extra)` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` The main program for the IdBloomFilterReplicationTest class
`static int` | `run(int has, int extra)` Main processing method for the IdBloomFilterReplicationTest class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM

    public static int NUM

  DESCRIBE THE FIELD

### NUM_RUNS

    public static int NUM_RUNS

  DESCRIBE THE FIELD

### random

    public static RandomSource random

  DESCRIBE THE FIELD

### pFactory

    public static IdFactory pFactory

  DESCRIBE THE FIELD

### factory

    public static IdFactory factory

  DESCRIBE THE FIELD

### gFactory

    public static GCIdFactory gFactory

  DESCRIBE THE FIELD

### SHARED

    public static Id[] SHARED

  DESCRIBE THE FIELD

### EXTRA

    public static Id[] EXTRA

  DESCRIBE THE FIELD

### remote

    public static IdSet remote

  DESCRIBE THE FIELD

Constructor Detail

### IdBloomFilterReplicationTest

    public IdBloomFilterReplicationTest()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  The main program for the IdBloomFilterReplicationTest class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### buildShared

    public static void buildShared()

  DESCRIBE THE METHOD

### doConfig

    public static void doConfig()

  DESCRIBE THE METHOD

### doRun

    public static double doRun(int has,
                               int extra)

  DESCRIBE THE METHOD

  Parameters:
    `has` - DESCRIBE THE PARAMETER
    `extra` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### run

    public static int run(int has,
                          int extra)

  Main processing method for the IdBloomFilterReplicationTest class

  Parameters:
    `has` - DESCRIBE THE PARAMETER
    `extra` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.